MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028056Open CASCADE[OCCT] OCCT:DRAWpublic2016-11-07 14:192016-12-09 16:39
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028056: Draw Harness, ViewerTest - correct vanimation command to produce stable timestamp on seek
DescriptionThe following command "vanim a -play 0.5 -duration 0" is expected to seek onto specified position and immediately stop playback (thus producing exactly single frame of animation).

However, current implementation produces unstable screenshots (e.g. with different timestamp on screenshot - making a noise in tests difference).
Steps To Reproducetest v3d anim propeller 1
TagsNo tags attached.
Test case numberv3d anim propeller
Attached Files

- Relationships
child of 0027764closedapn Visualization - add functionality for animation of 3D camera and interactive objects 

-  Notes
(0060125)
git (administrator)
2016-11-09 16:35

Branch CR28056 has been created by kgv.

SHA-1: 9dd8197862b768400eefd29ac388846a572500d6


Detailed log of new commits:

Author: kgv
Date: Wed Nov 9 16:20:32 2016 +0300

    0028056: Draw Harness, ViewerTest - correct vanimation command to produce stable timestamp on seek
(0060126)
kgv (developer)
2016-11-09 16:35

Patch is ready for review.
(0060131)
san (developer)
2016-11-09 17:05

Branch CR28056 reviewed without remarks, ready for testing.
(0060202)
mkv (tester)
2016-11-10 17:00

Dear BugMaster,
Branch CR28056 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 9dd8197862b768400eefd29ac388846a572500d6

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1152

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28056-master-OCCT/Debian70-64/v3d/anim/propeller.html [^]
http://occt-tests/CR28056-master-OCCT/Windows-64-VC10/v3d/anim/propeller.html [^]
v3d anim propeller: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91156348 / 91884019 [-0.79%]
Total CPU difference: 21693.77000000018 / 21600.59000000031 [+0.43%]
products component :
Total MEMORY difference: 29962045 / 29935586 [+0.09%]
Total CPU difference: 5321.219999999974 / 5309.249999999963 [+0.23%]

Testing on Windows:
occt component :
Total MEMORY difference: 56588654 / 56597852 [-0.02%]
Total CPU difference: 20303.342948798385 / 19669.510885798518 [+3.22%]
products component :
Total MEMORY difference: 20822525 / 20790286 [+0.16%]
Total CPU difference: 5300.383576599972 / 5153.477434899959 [+2.85%]

There are no differences in images found by testdiff.
(0060203)
mkv (tester)
2016-11-10 17:00

Dear BugMaster,
Branch CR28056 is TESTED.
(0061268)
git (administrator)
2016-12-07 11:31

Branch CR28056 has been deleted by kgv.

SHA-1: 9dd8197862b768400eefd29ac388846a572500d6

- Related Changesets
occt: master bf7b2ceb
Timestamp: 2016-11-09 13:20:32
Author: kgv
Committer: apn
Details ] Diff ]
0028056: Draw Harness, ViewerTest - correct vanimation command to produce stable timestamp on seek
mod - src/AIS/AIS_Animation.cxx Diff ] File ]
mod - src/AIS/AIS_Animation.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-07 14:19 kgv New Issue
2016-11-07 14:19 kgv Assigned To => kgv
2016-11-07 14:20 kgv Relationship added child of 0027764
2016-11-08 16:19 kgv Summary Draw Harness, ViewerTest - corrent vanimation command to produce stable timestamp on seek => Draw Harness, ViewerTest - correct vanimation command to produce stable timestamp on seek
2016-11-09 16:35 git Note Added: 0060125
2016-11-09 16:35 kgv Note Added: 0060126
2016-11-09 16:35 kgv Assigned To kgv => san
2016-11-09 16:35 kgv Status new => resolved
2016-11-09 16:35 kgv Description Updated View Revisions
2016-11-09 17:05 san Note Added: 0060131
2016-11-09 17:05 san Assigned To san => bugmaster
2016-11-09 17:05 san Status resolved => reviewed
2016-11-09 17:13 mkv Assigned To bugmaster => mkv
2016-11-10 17:00 mkv Note Added: 0060202
2016-11-10 17:00 mkv Note Added: 0060203
2016-11-10 17:00 mkv Assigned To mkv => bugmaster
2016-11-10 17:00 mkv Status reviewed => tested
2016-11-10 17:01 mkv Test case number => v3d anim propeller
2016-11-18 16:37 apn Changeset attached => occt master bf7b2ceb
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061268
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker